Skip to main content
GET
/
billing
/
charge
/
timeline
Get Charge Timeline
curl --request GET \
  --url https://api.decodahealth.com/billing/charge/timeline \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
import requests

url = "https://api.decodahealth.com/billing/charge/timeline"

headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};

fetch('https://api.decodahealth.com/billing/charge/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "amount": 123,
    "date": "2023-11-07T05:31:56Z",
    "paymentMethod": {
      "id": "<string>",
      "patientId": "<string>",
      "rainforestPaymentMethodId": "<string>",
      "brand": "<string>",
      "last4": "<string>",
      "expMonth": 123,
      "expYear": 123,
      "accountHolderType": "<string>",
      "accountNumberLast4": 123,
      "bankName": "<string>",
      "routingNumber": 123,
      "description": "<string>",
      "isDefault": false,
      "isArchived": false
    },
    "paymentMedium": "<string>",
    "comment": "<string>",
    "description": "<string>",
    "refundReason": "<string>",
    "items": [
      {
        "chargeId": "<string>",
        "quantity": 123,
        "price": 123,
        "id": "<string>",
        "itemId": "<string>",
        "name": "<string>",
        "description": "<string>",
        "discountAmount": 123,
        "discountPercentage": 123,
        "discountReason": "<string>",
        "soldPackageId": "<string>",
        "bankedQuantity": 123,
        "bankedItemId": "<string>",
        "issuedDiscountId": "<string>",
        "soldByProviderId": "<string>",
        "taxAmount": 123,
        "pricingId": "<string>",
        "shipmentIds": [
          "<string>"
        ],
        "item": {
          "name": "<string>",
          "price": 123,
          "id": "<string>",
          "brandName": "<string>",
          "description": "<string>",
          "category": "<string>",
          "isPhysical": true,
          "isArchived": false,
          "internalNotes": "<string>",
          "taxable": false,
          "sortOrder": 123,
          "allowCustomPricing": false,
          "type": "PRODUCT"
        },
        "locationId": "<string>",
        "locationName": "<string>",
        "saleDate": "2023-11-07T05:31:56Z"
      }
    ],
    "discountAmount": 123,
    "creator": {
      "id": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "phoneNumber": "<string>",
      "email": "<string>",
      "locationId": "<string>"
    },
    "feeToPatient": 123,
    "tips": [
      {
        "chargeId": "<string>",
        "amount": 123,
        "providerId": "<string>",
        "id": "<string>",
        "provider": {
          "id": "<string>",
          "firstName": "<string>",
          "lastName": "<string>",
          "email": "<string>",
          "createdDate": "2023-11-07T05:31:56Z"
        }
      }
    ]
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

charge_id
string | null
payment_id
string | null

Response

Successful Response

id
string
required
type
enum<string>
required
Available options:
CHARGE,
PAYMENT,
REFUND,
VOID,
ADJUSTMENT,
EXTERNAL_SETTLEMENT,
WRITE_OFF,
SCHEDULED_PAYMENT,
FAILED_PAYMENT
amount
integer
required
date
string<date-time>
required
paymentMethod
PaymentMethodSummary · object | null
paymentMedium
string | null
status
Available options:
OUTSTANDING,
PAID,
EXTERNAL_SETTLEMENT,
VOID,
WRITE_OFF,
REFUNDED,
CHARGEBACK,
PAYMENT_PLAN,
COLLECTIONS
comment
string | null
description
string | null
refundReason
string | null
items
ChargeItemDetail · object[] | null
discountAmount
integer | null
creator
UserTiny · object | null
feeToPatient
integer | null
tips
TipDetail · object[] | null